rm(list=ls())
library(fields)
require(graphics)
require(maps)
library(ncdf4)
library(mapdata)
library(RColorBrewer)
x11(width=12,height=8)
par(mfrow=c(4,2),mar=c(4,3,4,4))

dfr<-read.table("/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/PLOTS/Vb/Vb_1901-2010_H2019_05_CCLM+NEMO_ERA20C.txt")
year<-as.numeric(format(as.Date(dfr[,5], format="%d/%m/%Y"),"%Y"))
month<-as.numeric(format(as.Date(dfr[,5], format="%d/%m/%Y"),"%m"))
Vb_ID<-dfr[,1]

events_num_spri_r<-numeric();events_num_sum_r<-numeric();events_num_aut_r<-numeric();events_num_win_r<-numeric()
hist_years<-seq(1951,2005,1)
for(i in 1:55){
events_num_spri_r[i]<-length(unique(Vb_ID[which(year==hist_years[i] & month==c(3,4,5))]))
events_num_sum_r[i]<-length(unique(Vb_ID[which(year==hist_years[i] & month==c(6,7,8))]))
events_num_aut_r[i]<-length(unique(Vb_ID[which(year==hist_years[i] & month==c(9,10,11))]))
events_num_win_r[i]<-length(unique(Vb_ID[which(year==hist_years[i] & month==c(12,1,2))]))
}


df<-read.table("/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/PLOTS/Vb/Vb_1950-2005_VbH2019_ICCP.txt")
#####    READ ACCORDING TO THE YEAR, MONTH,Vb-ID
year<-as.numeric(format(as.Date(df[,5], format="%Y-%m-%d"),"%Y"))
month<-as.numeric(format(as.Date(df[,5], format="%Y-%m-%d"),"%m"))
Vb_ID<-df[,1]
#####   COunting the  Vb events in historical perid ######
events_num_spri<-numeric();events_num_sum<-numeric();events_num_aut<-numeric();events_num_win<-numeric()
hist_years<-seq(1951,2005,1)
for(i in 1:55){
events_num_spri[i]<-length(unique(Vb_ID[which(year==hist_years[i] & month==c(3,4,5))]))
events_num_sum[i]<-length(unique(Vb_ID[which(year==hist_years[i] & month==c(6,7,8))]))
events_num_aut[i]<-length(unique(Vb_ID[which(year==hist_years[i] & month==c(9,10,11))]))
events_num_win[i]<-length(unique(Vb_ID[which(year==hist_years[i] & month==c(12,1,2))]))
}
df2<-read.table("/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/PLOTS/Vb/Vb_2015-2099_VbH2019_ICCP.txt")
#####    READ ACCORDING TO THE YEAR, MONTH,Vb-ID
year<-as.numeric(format(as.Date(df2[,5], format="%Y-%m-%d"),"%Y"))
month<-as.numeric(format(as.Date(df2[,5], format="%Y-%m-%d"),"%m"))
Vb_ID<-df2[,1]
#####   COunting the  Vb events in historical perid ######
events_num_spri_p<-numeric();events_num_sum_p<-numeric();events_num_aut_p<-numeric();events_num_win_p<-numeric()
fut_years<-seq(2045,2099,1)
for(i in 1:55){
events_num_spri_p[i]<-length(unique(Vb_ID[which(year==fut_years[i] & month==c(3,4,5))]))
events_num_sum_p[i]<-length(unique(Vb_ID[which(year==fut_years[i] & month==c(6,7,8))]))
events_num_aut_p[i]<-length(unique(Vb_ID[which(year==fut_years[i] & month==c(9,10,11))]))
events_num_win_p[i]<-length(unique(Vb_ID[which(year==fut_years[i] & month==c(12,1,2))]))
}
#barplot(events_num_spri,main="Historical (Spring)",ylim=c(0,10),names.arg=seq(1951,2005,1),col=rgb(0,0,1,0.2))
#abline(lm(events_num_spri~seq(1951,2005,1)))
#barplot(events_num_spri_p,main="Future (Spring)",ylim=c(0,10),names.arg=seq(2045,2099,1),col=rgb(1,0,1,0.2))
#barplot(events_num_sum,main="Historical (Summer)",ylim=c(0,10),names.arg=seq(1951,2005,1),col=rgb(0,0,1,0.2))
#barplot(events_num_sum_p,main="Future (Summer)",ylim=c(0,10),names.arg=seq(2045,2099,1),col=rgb(1,0,1,0.2))
#barplot(events_num_aut,main="Historical (Autum)",ylim=c(0,10),names.arg=seq(1951,2005,1),col=rgb(0,0,1,0.2))
#barplot(events_num_aut_p,main="Future (Autum)",ylim=c(0,10),names.arg=seq(2045,2099,1),col=rgb(1,0,1,0.2))
#barplot(events_num_win,main="Historical (Winter)",ylim=c(0,10),names.arg=seq(1951,2005,1),col=rgb(0,0,1,0.2))
#barplot(events_num_win_p,main="Future (Winter)",ylim=c(0,10),names.arg=seq(2045,2099,1),col=rgb(1,0,1,0.2))

################ ggplot2

library(ggplot2)
#library(ggpubr)
#x11(width=12,height=8)#
#par(mfrow=c(4,2),mar=c(4,3,4,4))
years_h<-seq(1951,2005,1)
years_p<-seq(2045,2099,1)
df<-data.frame(events_num_spri_r,events_num_spri,events_num_spri_p,events_num_sum_r,events_num_sum,events_num_sum_p,events_num_aut_r,events_num_aut,events_num_aut_p,events_num_win_r,events_num_win,events_num_win_p)


p1r<-ggplot(df, aes(x = years_h, y = events_num_spri_r),col="red") + geom_bar(stat = "identity") + geom_smooth(method = "lm") + labs(title="GUF Evaluation (spring)",
        x ="Years", y = "Number of Events",hjust = 0.3) +  ylim(0, 12) + theme(plot.title = element_text(hjust = 0.3,size=10,face = "bold"))

p1<-ggplot(df, aes(x = years_h, y = events_num_spri)) + geom_bar(stat = "identity") + geom_smooth(method = "lm") + labs(title="GUF Historical (spring)",
        x ="Years", y = "Number of Events",hjust = 0.3) +  ylim(0, 12) + theme(plot.title = element_text(hjust = 0.3,size=10,face = "bold"))


p2<-ggplot(df, aes(x = years_p, y = events_num_spri_p)) + geom_bar(stat = "identity") + geom_smooth(method = "lm") + labs(title="GUF Future (spring)",
        x ="Years", y = "Number of Events") + ylim(0, 12) + theme(plot.title = element_text(hjust = 0.3,size=10,face = "bold"))



p3r<-ggplot(df, aes(x = years_h, y = events_num_sum_r)) + geom_bar(stat = "identity") + geom_smooth(method = "lm") + labs(title="GUF Evaluation (summer)",
        x ="Years", y = "Number of Events") + ylim(0, 12) + theme(plot.title = element_text(hjust = 0.3,size=10,face = "bold"))


p3<-ggplot(df, aes(x = years_h, y = events_num_sum)) + geom_bar(stat = "identity") + geom_smooth(method = "lm") + labs(title="GUF Historical (summer)",
        x ="Years", y = "Number of Events") + ylim(0, 12) + theme(plot.title = element_text(hjust = 0.3,size=10,face = "bold"))

p4<-ggplot(df, aes(x = years_p, y = events_num_sum_p)) + geom_bar(stat = "identity") + geom_smooth(method = "lm") + labs(title="GUF Future (summer)",
        x ="Years", y = "Number of Events") + ylim(0, 12) + theme(plot.title = element_text(hjust = 0.3,size=10,face = "bold"))


p5r<-ggplot(df, aes(x = years_h, y = events_num_aut_r)) + geom_bar(stat = "identity") + geom_smooth(method = "lm") + labs(title="GUF Evaluation (Autum)",
        x ="Years", y = "Number of Events") + ylim(0, 12) + theme(plot.title = element_text(hjust = 0.3,size=10,face = "bold"))


p5<-ggplot(df, aes(x = years_h, y = events_num_aut)) + geom_bar(stat = "identity") + geom_smooth(method = "lm") + labs(title="GUF Historical (Autum)",
        x ="Years", y = "Number of Events") + ylim(0, 12) + theme(plot.title = element_text(hjust = 0.3,size=10,face = "bold"))
p6<-ggplot(df, aes(x = years_p, y = events_num_aut_p)) + geom_bar(stat = "identity") + geom_smooth(method = "lm") + labs(title="GUF Future (Autum)",
        x ="Years", y = "Number of Events") + ylim(0, 12) + theme(plot.title = element_text(hjust = 0.3,size=10,face = "bold"))


p7r<-ggplot(df, aes(x = years_h, y = events_num_win_r)) + geom_bar(stat = "identity") + geom_smooth(method = "lm") + labs(title="GUF Evaluation (Winter)",
        x ="Years", y = "Number of Events") + ylim(0, 12) + theme(plot.title = element_text(hjust = 0.3,size=10,face = "bold"))



p7<-ggplot(df, aes(x = years_h, y = events_num_win)) + geom_bar(stat = "identity") + geom_smooth(method = "lm") + labs(title="GUF Historical (Winter)",
        x ="Years", y = "Number of Events") + ylim(0, 12) + theme(plot.title = element_text(hjust = 0.3,size=10,face = "bold"))
p8<-ggplot(df, aes(x = years_p, y = events_num_win_p)) + geom_bar(stat = "identity") + geom_smooth(method = "lm") + labs(title="GUF Future (Winter)",
        x ="Years", y = "Number of Events") + ylim(0, 12) + theme(plot.title = element_text(hjust = 0.3,size=10,face = "bold"))
library(grid)
pdf("events_plots.pdf")
grid.newpage()
pushViewport(viewport(layout = grid.layout(nrow = 4, ncol = 3)))
define_region <- function(row, col){
 viewport(layout.pos.row = row, layout.pos.col = col)}

print(p1r, vp = define_region(row = 1, col = 1))
print(p1, vp = define_region(row = 1, col = 2))
print(p2, vp = define_region(row = 1, col = 3))
print(p3r, vp = define_region(row = 2, col = 1))
print(p3, vp = define_region(row = 2, col = 2))
print(p4, vp = define_region(row = 2, col = 3))
print(p5r, vp = define_region(row = 3, col = 1))
print(p5, vp = define_region(row = 3, col = 2))
print(p6, vp = define_region(row = 3, col = 3))
print(p7r, vp = define_region(row = 4, col = 1))
print(p7, vp = define_region(row = 4, col = 2))
print(p8, vp = define_region(row = 4, col = 3))
dev.off()

######   Significan test ######

func_perc_change<-function(new,old){((new-old)/old) * 100}
func_SE_mean<-function(x){var(x)/sqrt(length(x))}
fun_SE_percentage <-function(mean_new,mean_old,se_new,se_old){ abs(mean_new/mean_old)  * sqrt( (se_new^2 / mean_new^2) + (se_old^2 / mean_old^2)) *100 }

##########################


 #####       SUMMER ######

#######   Mean of the Number of Events Per Year #####

events_per_year_rea_sum    <-  mean(events_num_sum_r)
events_per_year_hist_sum   <-  mean(events_num_sum)
events_per_year_fut_sum    <-  mean(events_num_sum_p)

####   Mean  Percentage Change  ####

per_change_hist_rea_sum   <-  func_perc_change(events_per_year_hist_sum,events_per_year_rea_sum)

per_change_fut_hist_sum   <-  func_perc_change(events_per_year_fut_sum,events_per_year_hist_sum)

####   Standard Errors
se_events_per_year_rea_sum    <- func_SE_mean(events_num_sum_r)
se_events_per_year_hist_sum   <- func_SE_mean(events_num_sum)
se_events_per_year_fut_sum    <- func_SE_mean(events_num_sum_p)

####################  Standard Error Percentage Chnage #####

se_change_hist_rea_sum      <-  fun_SE_percentage (events_per_year_hist_sum,events_per_year_rea_sum,se_events_per_year_hist_sum,se_events_per_year_rea_sum)

se_per_change_fut_hist_sum  <-  fun_SE_percentage (events_per_year_fut_sum,events_per_year_hist_sum,se_events_per_year_fut_sum,se_events_per_year_hist_sum)

#trail      <-fun_SE_percentage(6613917,6429326,83537,36768)
#trail2     <-fun_SE_percentage(10.12727,9.654545,1.633334,2.128565)
################    Lower Bound  & Upper Bound for Percentage Chaange    ###


lower_bound_hist_rea_sum  <-  per_change_hist_rea_sum - (1.65*se_change_hist_rea_sum)

upper_bound_hist_rea_sum  <-  per_change_hist_rea_sum + (1.65*se_change_hist_rea_sum)

###########

lower_bound_fut_hist_sum  <-  per_change_fut_hist_sum - (1.65*se_per_change_fut_hist_sum)

upper_bound_fut_hist_sum  <- per_change_fut_hist_sum +  (1.65*se_per_change_fut_hist_sum)


######      WINTER  ########

events_per_year_rea_win    <-  mean(events_num_win_r)
events_per_year_hist_win   <-  mean(events_num_win)
events_per_year_fut_win    <-  mean(events_num_win_p)

####   Mean  Percentage Change  ####

per_change_hist_rea_win   <-  func_perc_change(events_per_year_hist_win,events_per_year_rea_win)

per_change_fut_hist_win   <-  func_perc_change(events_per_year_fut_win,events_per_year_hist_win)

####   Standard Errors
se_events_per_year_rea_win    <- func_SE_mean(events_num_win_r)
se_events_per_year_hist_win   <- func_SE_mean(events_num_win)
se_events_per_year_fut_win    <- func_SE_mean(events_num_win_p)

####################  Standard Error Percentage Chnage #####

se_change_hist_rea_win      <-  fun_SE_percentage (events_per_year_hist_win,events_per_year_rea_win,se_events_per_year_hist_win,se_events_per_year_rea_win)

se_per_change_fut_hist_win  <-  fun_SE_percentage (events_per_year_fut_win,events_per_year_hist_win,se_events_per_year_fut_win,se_events_per_year_hist_win)

#trail      <-fun_SE_percentage(6613917,6429326,83537,36768)
#trail2     <-fun_SE_percentage(10.12727,9.654545,1.633334,2.128565)
################    Lower Bound  & Upper Bound for Percentage Chaange    ###


lower_bound_hist_rea_win  <-  per_change_hist_rea_win - (1.65*se_change_hist_rea_win)

upper_bound_hist_rea_win  <-  per_change_hist_rea_win + (1.65*se_change_hist_rea_win)

###########

lower_bound_fut_hist_win  <-  per_change_fut_hist_win - (1.65*se_per_change_fut_hist_win)

upper_bound_fut_hist_win  <- per_change_fut_hist_win +  (1.65*se_per_change_fut_hist_win)



#########    SPRING   #######

events_per_year_rea_spri    <-  mean(events_num_spri_r)
events_per_year_hist_spri   <-  mean(events_num_spri)
events_per_year_fut_spri    <-  mean(events_num_spri_p)

####   Mean  Percentage Change  ####

per_change_hist_rea_spri   <-  func_perc_change(events_per_year_hist_spri,events_per_year_rea_spri)

per_change_fut_hist_spri   <-  func_perc_change(events_per_year_fut_spri,events_per_year_hist_spri)

####   Standard Errors
se_events_per_year_rea_spri    <- func_SE_mean(events_num_spri_r)
se_events_per_year_hist_spri   <- func_SE_mean(events_num_spri)
se_events_per_year_fut_spri    <- func_SE_mean(events_num_spri_p)

####################  Standard Error Percentage Chnage #####

se_change_hist_rea_spri      <-  fun_SE_percentage (events_per_year_hist_spri,events_per_year_rea_spri,se_events_per_year_hist_spri,se_events_per_year_rea_spri)

se_per_change_fut_hist_spri  <-  fun_SE_percentage (events_per_year_fut_spri,events_per_year_hist_spri,se_events_per_year_fut_spri,se_events_per_year_hist_spri)

#trail      <-fun_SE_percentage(6613917,6429326,83537,36768)
#trail2     <-fun_SE_percentage(10.12727,9.654545,1.633334,2.128565)
################    Lower Bound  & Upper Bound for Percentage Chaange    ###


lower_bound_hist_rea_spri  <-  per_change_hist_rea_spri - (1.65*se_change_hist_rea_spri)

upper_bound_hist_rea_spri  <-  per_change_hist_rea_spri + (1.65*se_change_hist_rea_spri)

###########

lower_bound_fut_hist_spri  <-  per_change_fut_hist_spri - (1.65*se_per_change_fut_hist_spri)

upper_bound_fut_hist_spri  <- per_change_fut_hist_spri +  (1.65*se_per_change_fut_hist_spri)


#######     AUTUM ####### 

events_per_year_rea_aut    <-  mean(events_num_aut_r)
events_per_year_hist_aut   <-  mean(events_num_aut)
events_per_year_fut_aut    <-  mean(events_num_aut_p)

####   Mean  Percentage Change  ####

per_change_hist_rea_aut   <-  func_perc_change(events_per_year_hist_aut,events_per_year_rea_aut)

per_change_fut_hist_aut   <-  func_perc_change(events_per_year_fut_aut,events_per_year_hist_aut)

####   Standard Errors
se_events_per_year_rea_aut    <- func_SE_mean(events_num_aut_r)
se_events_per_year_hist_aut   <- func_SE_mean(events_num_aut)
se_events_per_year_fut_aut    <- func_SE_mean(events_num_aut_p)

####################  Standard Error Percentage Chnage #####

se_change_hist_rea_aut      <-  fun_SE_percentage (events_per_year_hist_aut,events_per_year_rea_aut,se_events_per_year_hist_aut,se_events_per_year_rea_aut)

se_per_change_fut_hist_aut  <-  fun_SE_percentage (events_per_year_fut_aut,events_per_year_hist_aut,se_events_per_year_fut_aut,se_events_per_year_hist_aut)

#trail      <-fun_SE_percentage(6613917,6429326,83537,36768)
#trail2     <-fun_SE_percentage(10.12727,9.654545,1.633334,2.128565)
################    Lower Bound  & Upper Bound for Percentage Chaange    ###


lower_bound_hist_rea_aut  <-  per_change_hist_rea_aut - (1.65*se_change_hist_rea_aut)

upper_bound_hist_rea_aut  <-  per_change_hist_rea_aut + (1.65*se_change_hist_rea_aut)

###########

lower_bound_fut_hist_aut  <-  per_change_fut_hist_spri - (1.65*se_per_change_fut_hist_spri)

upper_bound_fut_hist_aut  <- per_change_fut_hist_spri +  (1.65*se_per_change_fut_hist_spri)

########################





