rm(list=ls())
library(fields)
require(graphics)
require(maps)
library(ncdf4)
library(mapdata)

####    TE function

source("TE_function.R")


#####  PATH TO THE NECT CDF FILE

ncpath <- "/work/bb1064/b381262_pothapakula/data_ipcc/ts/"
#*****************
ncfile <-"MED-large_ts_all.nc"
ncfname <- paste(ncpath,ncfile ,sep = "")
ncin <- nc_open(ncfname)
lat <- ncvar_get(ncin,"lat")
lon <- ncvar_get(ncin,"lon")
nc_close(ncin)

######

load("/pf/b/b381262/ppk_vbeventpaper/RData/Plot_ts_wso_anomaly.RData")
hist_Danube  <- ts_MED_byDanube_plot
hist_Elbe    <- ts_MED_byElbe_plot
hist_Odra    <- ts_MED_byOdra_plot

rm(list=c("ts_MED_byDanube_plot","ts_MED_byElbe_plot","ts_MED_byOdra_plot"))


####     Reanalysis   ####
load("/pf/b/b381262/ppk_vbeventpaper/RData_rea/Plot_ts_wso_anomaly.RData")
re_Danube  <- ts_MED_byDanube_plot
re_Elbe    <- ts_MED_byElbe_plot
re_Odra    <- ts_MED_byOdra_plot

rm(list=c("ts_MED_byDanube_plot","ts_MED_byElbe_plot","ts_MED_byOdra_plot"))

load("/pf/b/b381262/ppk_vbeventpaper/RData_fut/Plot_ts_wso_anomaly.RData")
###################
fut_Danube  <- ts_MED_byDanube_plot
fut_Elbe    <- ts_MED_byElbe_plot
fut_Odra    <- ts_MED_byOdra_plot

rm(list=c("ts_MED_byDanube_plot","ts_MED_byElbe_plot","ts_MED_byOdra_plot"))

##################


#####     PReci Historical Data   ##

load("/pf/b/b381262/ppk_vbeventpaper/RData/Tot_prec_sorted.RData")
pr_hist_Danube  <- prec_Danube
pr_hist_Elbe    <- prec_Elbe
pr_hist_Odra    <- prec_Odra

rm(list=c("prec_Danube","prec_Elbe","prec_Odra"))

load("/pf/b/b381262/ppk_vbeventpaper/RData_rea/Tot_prec_sorted.RData")

pr_re_Danube  <- prec_Danube
pr_re_Elbe    <- prec_Elbe
pr_re_Odra    <- prec_Odra

rm(list=c("prec_Danube","prec_Elbe","prec_Odra"))


load("/pf/b/b381262/ppk_vbeventpaper/RData_fut/Tot_prec_sorted.RData")

pr_fut_Danube  <- prec_Danube
pr_fut_Elbe    <- prec_Elbe
pr_fut_Odra    <- prec_Odra

rm(list=c("prec_Danube","prec_Elbe","prec_Odra"))
############

##   FOR DANUBE   

# Reanalysis
TE_re_Danube<-matrix(NA,nrow=length(lon),ncol=length(lat))
for(i in 1:length(lon)){
for(j in 1:length(lat)){
if(is.na(re_Danube[i,j,1])){next()}
TE_re_Danube[i,j]<-TE(re_Danube[i,j,1:530],pr_re_Danube[1:530])
}}

#historical
TE_hist_Danube<-matrix(NA,nrow=length(lon),ncol=length(lat))
for(i in 1:length(lon)){
for(j in 1:length(lat)){
if(is.na(hist_Danube[i,j,1])){next()}
TE_hist_Danube[i,j]<-TE(hist_Danube[i,j,1:530],pr_hist_Danube[1:530])
}}

###     Future 
TE_fut_Danube<-matrix(NA,nrow=length(lon),ncol=length(lat))
for(i in 1:length(lon)){
for(j in 1:length(lat)){
if(is.na(fut_Danube[i,j,1])){next()}
TE_fut_Danube[i,j]<-TE(fut_Danube[i,j,1:530],pr_fut_Danube[1:530])
}}



##   For ELBE

# Reanalysis
TE_re_Elbe<-matrix(NA,nrow=length(lon),ncol=length(lat))
for(i in 1:length(lon)){
for(j in 1:length(lat)){
if(is.na(re_Elbe[i,j,1])){next()}
TE_re_Elbe[i,j]<-TE(re_Elbe[i,j,1:530],pr_re_Elbe[1:530])
}}

#historical
TE_hist_Elbe<-matrix(NA,nrow=length(lon),ncol=length(lat))
for(i in 1:length(lon)){
for(j in 1:length(lat)){
if(is.na(hist_Elbe[i,j,1])){next()}
TE_hist_Elbe[i,j]<-TE(hist_Elbe[i,j,1:530],pr_hist_Elbe[1:530])
}}

###     dth=12,height=12)
par(mfrow=c(3,3),mar=c(4,3,4,4))
par(oma=c(3,3,1,1))
colfunc<-colorRampPalette(c("red","yellow","springgreen","white"))
se<-seq(0,1,1/10)
TE_fut_Elbe<-matrix(NA,nrow=length(lon),ncol=length(lat))
for(i in 1:length(lon)){
for(j in 1:length(lat)){
if(is.na(fut_Elbe[i,j,1])){next()}
TE_fut_Elbe[i,j]<-TE(fut_Elbe[i,j,1:530],pr_fut_Elbe[1:530])
}}

####    Odra 

# Reanalysis
TE_re_Odra<-matrix(NA,nrow=length(lon),ncol=length(lat))
for(i in 1:length(lon)){
for(j in 1:length(lat)){
if(is.na(re_Odra[i,j,1])){next()}
TE_re_Odra[i,j]<-TE(re_Odra[i,j,1:530],pr_re_Odra[1:530])
}}

#historical
TE_hist_Odra<-matrix(NA,nrow=length(lon),ncol=length(lat))
for(i in 1:length(lon)){
for(j in 1:length(lat)){
if(is.na(hist_Odra[i,j,1])){next()}
TE_hist_Odra[i,j]<-TE(hist_Odra[i,j,1:530],pr_hist_Odra[1:530])
}}

###     Future
TE_fut_Odra<-matrix(NA,nrow=length(lon),ncol=length(lat))
for(i in 1:length(lon)){
for(j in 1:length(lat)){
if(is.na(fut_Odra[i,j,1])){next()}
TE_fut_Odra[i,j]<-TE(fut_Odra[i,j,1:530],pr_fut_Odra[1:530])
}}

############  PLOTTING AT A TIME
x11(width=12,height=12)
par(mfrow=c(3,3),mar=c(4,3,4,4))
par(oma=c(3,3,1,1))
olfunc<-colorRampPalette(c("red","yellow","springgreen","white"))
se<-seq(0,1,1/10)
#####       Reanalysis 
TE_re_Danube[which(TE_re_Danube>0.01)]=0.01
#####
par(mar=c(3,4,5,4))
image.plot(lon,lat,TE_re_Danube*100, xlab="",ylab=~degree~N, main='Danube (GUF Evaluation)',col=rev(colfunc(10)),breaks=se,cex.main=1.2,cex.axis=1.2,cex.lab=1.0)
box(which = "plot", lty = "solid",lwd=1.4)
world.add<-map("world", xlim=range(lon), ylim=range(lat),plot=T ,add=TRUE)
map("world2",col="black",lwd=2,interior=T,add=T)

par(mar=c(3,4,5,4))
image.plot(lon,lat,TE_re_Elbe*100,xlab="",ylab=~degree~N, main='Elbe (GUF Evaluation)',col=rev(colfunc(10)),breaks=se,cex.main=1.2,cex.axis=1.2,cex.lab=1.0)
box(which = "plot", lty = "solid",lwd=1.4)
world.add<-map("world", xlim=range(lon), ylim=range(lat),plot=T ,add=TRUE)
map("world2",col="black",lwd=2,interior=T,add=T)

par(mar=c(3,4,5,4))
image.plot(lon,lat,TE_re_Odra*100,xlab="",ylab=~degree~N, main='Odra (GUF Evaluation)',col=rev(colfunc(10)),breaks=se,cex.main=1.2,cex.axis=1.2,cex.lab=1.0)
box(which = "plot", lty = "solid",lwd=1.4)
world.add<-map("world", xlim=range(lon), ylim=range(lat),plot=T ,add=TRUE)
map("world2",col="black",lwd=2,interior=T,add=T)

#######     Historical
par(mar=c(3,4,5,4))
image.plot(lon,lat,TE_hist_Danube*100, xlab="",ylab=~degree~N, main='Danube (GUF Historical)',col=rev(colfunc(10)),breaks=se,cex.main=1.2,cex.axis=1.2,cex.lab=1.0)
box(which = "plot", lty = "solid",lwd=1.4)
world.add<-map("world", xlim=range(lon), ylim=range(lat),plot=T ,add=TRUE)
map("world2",col="black",lwd=2,interior=T,add=T)

par(mar=c(3,4,5,4))
image.plot(lon,lat,TE_hist_Elbe*100,xlab="",ylab=~degree~N, main='Elbe (GUF Historical)',col=rev(colfunc(10)),breaks=se,cex.main=1.2,cex.axis=1.2,cex.lab=1.0)
box(which = "plot", lty = "solid",lwd=1.4)
world.add<-map("world", xlim=range(lon), ylim=range(lat),plot=T ,add=TRUE)
map("world2",col="black",lwd=2,interior=T,add=T)

par(mar=c(3,4,5,4))
image.plot(lon,lat,TE_hist_Odra*100,xlab="",ylab=~degree~N, main='Odra (GUF Historical)',col=rev(colfunc(10)),breaks=se,cex.main=1.2,cex.axis=1.2,cex.lab=1.0)
box(which = "plot", lty = "solid",lwd=1.4)
world.add<-map("world", xlim=range(lon), ylim=range(lat),plot=T ,add=TRUE)
map("world2",col="black",lwd=2,interior=T,add=T)


#######     Future
par(mar=c(3,4,5,4))
image.plot(lon,lat,TE_fut_Danube*100, xlab="",ylab=~degree~N, main='Danube (GUF Future)',col=rev(colfunc(10)),breaks=se,cex.main=1.2,cex.axis=1.2,cex.lab=1.0)
box(which = "plot", lty = "solid",lwd=1.4)
world.add<-map("world", xlim=range(lon), ylim=range(lat),plot=T ,add=TRUE)
map("world2",col="black",lwd=2,interior=T,add=T)

par(mar=c(3,4,5,4))
image.plot(lon,lat,TE_fut_Elbe*100,xlab="",ylab=~degree~N, main='Elbe (GUF Future)',col=rev(colfunc(10)),breaks=se,cex.main=1.2,cex.axis=1.2,cex.lab=1.0)
box(which = "plot", lty = "solid",lwd=1.4)
world.add<-map("world", xlim=range(lon), ylim=range(lat),plot=T ,add=TRUE)
map("world2",col="black",lwd=2,interior=T,add=T)

par(mar=c(3,4,5,4))
image.plot(lon,lat,TE_fut_Odra*100,xlab="",ylab=~degree~N, main='Odra (GUF Future)',col=rev(colfunc(10)),breaks=se,cex.main=1.2,cex.axis=1.2,cex.lab=1.0)
box(which = "plot", lty = "solid",lwd=1.4)
world.add<-map("world", xlim=range(lon), ylim=range(lat),plot=T ,add=TRUE)
map("world2",col="black",lwd=2,interior=T,add=T)

###########
dev.print(postscript,'TE_all_events_SST.eps',width=12,height=12)
