rm(list=ls())
library(fields)
require(graphics)
require(maps)
library(ncdf4)
library(mapdata)
library(RColorBrewer)
library("Cairo")

CairoPDF("pressure.pdf", 4, 4, bg="transparent")
#x11(width=8,height=8)

df<-read.table("/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/PLOTS/Vb/Vb_1950-2005_VbH2019_ICCP.txt")
pressure_hist<-df[126:5661,4]
df2<-read.table("/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/PLOTS/Vb/Vb_2015-2099_VbH2019_ICCP.txt")
pressure_fut<-df2[3493:9224,4]
df3<-read.table("/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/PLOTS/Vb/Vb_1901-2010_H2019_05_CCLM+NEMO_ERA20C.txt")
pressure_rean<-df3[8019:16105,4]
dens_GUF_sp1<-density(pressure_hist,na.rm=T)
dens_GUF_sp2<-density(pressure_fut,na.rm=T)
dens_GUF_sp3<-density(pressure_rean,na.rm=T)
xlim <- c(960,1040)
ylim<-  c(0,0.08)
historical <- rgb(0,0,1,0.2)
projection <- rgb(1,0,0,0.2)
reanalysis <- rgb(0,1,0,0.2)
plot(dens_GUF_sp1, xlim = xlim, ylim = ylim, xlab = 'Cyclone central pressure',
     main = 'Cyclone central presure along the paths',lwd=2.0, cex.main=1.0,
     cex.lab=1.0,panel.first = grid())
#put our density plots in
polygon(dens_GUF_sp1, density = -1, col = historical)
polygon(dens_GUF_sp2, density = -1, col = projection)
#polygon(dens_GUF_sp3, density = -1, col = reanalysis)
## add a legend in the corner
legend('topleft',c('evaluation','historical','projection'),
       fill = c('black',historical, projection), bty = 'n',
       border = NA)
dev.off()
