rm(list=ls())
library(fields)
require(graphics)
require(maps)
library(ncdf4)
library(mapdata)
library(RColorBrewer)
#x11(width=8,height=8)
library("Cairo")
CairoPDF("pressure_min.pdf", 4, 4, bg="transparent")
df<-read.table("/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/PLOTS/Vb/Vb_1950-2005_VbH2019_ICCP.txt")
pres_min<-numeric()
pres_min_p<-numeric()
pres_min_r<-numeric()
Vb_ID<-df[,7]
ID<-unique(Vb_ID)
#ID<-ID
for (i in 14:length(ID)){
pres_min[i]<-min(df[which(df[,7]==ID[i]),4])
}
df2<-read.table("/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/PLOTS/Vb/Vb_2015-2099_VbH2019_ICCP.txt")
Vb_ID_p<-df2[,7]
ID_p<-unique(Vb_ID_p)
ID_p<-ID_p
for (i in 364:length(ID_p)){
pres_min_p[i]<-min(df2[which(df2[,7]==ID_p[i]),4])
}
df3<-read.table("/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/PLOTS/Vb/Vb_1901-2010_H2019_05_CCLM+NEMO_ERA20C.txt")
Vb_ID_r<-df3[,7]
ID_r<-unique(Vb_ID_r)
ID_r<-ID_r+1
for (i in 515:1044){
pres_min_r[i]<-min(df3[which(df3[,7]==ID_r[i]),4])
}
boxplot(pres_min_r,pres_min,pres_min_p,col=c(rgb(0,1,0,0.2),rgb(0,0,1,0.2),rgb(1,0,0,0.2)),main="Minimum cyclone central pressure ",names=c("GUF Evaluation","GUF Historical","GUF Future"),ylab="Pressure (hPa)",cex.main=0.5,cex.lab=0.6,cex.axis=0.6,ylim=c(950,1035))
dev.off()


####      SIgnificant tests ######
func_perc_change<-function(new,old){((new-old)/old) * 100}
func_SE_mean<-function(x){var(x)/sqrt(length(x))}
fun_SE_percentage <-function(mean_new,mean_old,se_new,se_old){ abs(mean_new/mean_old)  * sqrt( (se_new^2 / mean_new^2) + (se_old^2 / mean_old^2)) *100 }

############   Mean of the Pressure Minimums

mean_pres_min_r  <- mean(pres_min_r,na.rm=T)

mean_pres_min         <- mean(pres_min,na.rm=T)

mean_pres_min_p       <- mean(pres_min_p,na.rm=T)


###################################

per_change_hist_rea     <-  func_perc_change(mean_pres_min,mean_pres_min_r)

per_change_fut_hist     <-  func_perc_change(mean_pres_min_p,mean_pres_min)

####################################
pres_min_r   <-  pres_min_r[!is.na(pres_min_r)]
pres_min     <-  pres_min[!is.na(pres_min)]
pres_min_p   <-  pres_min_p[!is.na(pres_min_p)]

####################

se_pres_min_r    <- func_SE_mean(pres_min_r)

se_pres_min      <- func_SE_mean(pres_min)

se_pres_min_p    <- func_SE_mean(pres_min_p)

###########################


se_per_change_hist_rea  <-   fun_SE_percentage(mean_pres_min,mean_pres_min_r,se_pres_min,se_pres_min_r)

se_per_change_fut_hist  <-   fun_SE_percentage(mean_pres_min_p,mean_pres_min,se_pres_min_p,se_pres_min)


###########################

lower_bound_hist_rea  <-    per_change_hist_rea  - (1.65*se_per_change_hist_rea)  

upper_bound_hist_rea  <-    per_change_hist_rea  + (1.65*se_per_change_hist_rea)

############################

lower_bound_fut_hist  <-    per_change_fut_hist  - (1.65*se_per_change_fut_hist)

upper_bound_fut_hist  <-    per_change_fut_hist  + (1.65*se_per_change_fut_hist)

#############################
