rm(list=ls())
library(fields)
require(graphics)
require(maps)
library(ncdf4)
library(mapdata)
library(RColorBrewer)
#x11(width=8,height=8)
library("Cairo")
CairoPDF("pressure_min_autum.pdf", 4, 4, bg="transparent")


pres_min_spr<-numeric();pres_min_sum<-numeric();pres_min_aut<-numeric();pres_min_win<-numeric();
pres_min_p_spr<-numeric(); pres_min_p_sum<-numeric(); pres_min_p_aut<-numeric(); pres_min_p_win<-numeric();
pres_min_r_spr<-numeric(); pres_min_r_sum<-numeric(); pres_min_r_aut<-numeric(); pres_min_r_win<-numeric();


############
df<-read.table("/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/PLOTS/Vb/Vb_1950-2005_VbH2019_ICCP.txt")
ID<-df[126:5661,7]
month<-as.numeric(format(as.Date(df[126:5661,5], format="%Y-%m-%d"),"%m"))
ID_spr<-unique(ID[which(month==3 | month ==4 | month ==5)])
ID_sum<-unique(ID[which(month==6 | month ==7 | month ==8)])
ID_aut<-unique(ID[which(month==9 | month ==10 | month ==11)])
ID_win<-unique(ID[which(month==12 | month ==1 | month ==2)])

for (i in 1:length(ID_spr)){
pres_min_spr[i]<-min(df[which(df[,7]==ID_spr[i]),4])
}

for (i in 1:length(ID_sum)){
pres_min_sum[i]<-min(df[which(df[,7]==ID_sum[i]),4])
}

for (i in 1:length(ID_aut)){
pres_min_aut[i]<-min(df[which(df[,7]==ID_aut[i]),4])
}

for (i in 1:length(ID_win)){
pres_min_win[i]<-min(df[which(df[,7]==ID_win[i]),4])
}

###########

df2<-read.table("/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/PLOTS/Vb/Vb_2015-2099_VbH2019_ICCP.txt")
ID<-df2[3493:9224,7]
month<-as.numeric(format(as.Date(df2[3493:9224,5], format="%Y-%m-%d"),"%m"))
ID_spr<-unique(ID[which(month==3 | month ==4 | month ==5)])
ID_sum<-unique(ID[which(month==6 | month ==7 | month ==8)])
ID_aut<-unique(ID[which(month==9 | month ==10 | month ==11)])
ID_win<-unique(ID[which(month==12 | month ==1 | month ==2)])

for (i in 1:length(ID_spr)){
pres_min_p_spr[i]<-min(df2[which(df2[,7]==ID_spr[i]),4])
}

for (i in 1:length(ID_sum)){
pres_min_p_sum[i]<-min(df2[which(df2[,7]==ID_sum[i]),4])
}

for (i in 1:length(ID_aut)){
pres_min_p_aut[i]<-min(df2[which(df2[,7]==ID_aut[i]),4])
}

for (i in 1:length(ID_win)){
pres_min_p_win[i]<-min(df2[which(df2[,7]==ID_win[i]),4])
}

################

df3<-read.table("/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/PLOTS/Vb/Vb_1901-2010_H2019_05_CCLM+NEMO_ERA20C.txt")
ID<-df3[8019:16105,7]
month<-as.numeric(format(as.Date(df3[8019:16105,5], format="%d/%m/%Y"),"%m"))
ID_spr<-unique(ID[which(month==3 | month ==4 | month ==5)])
ID_sum<-unique(ID[which(month==6 | month ==7 | month ==8)])
ID_aut<-unique(ID[which(month==9 | month ==10 | month ==11)])
ID_win<-unique(ID[which(month==12 | month ==1 | month ==2)])

for (i in 1:length(ID_spr)){
pres_min_r_spr[i]<-min(df3[which(df3[,7]==ID_spr[i]),4])
}

for (i in 1:length(ID_sum)){
pres_min_r_sum[i]<-min(df3[which(df3[,7]==ID_sum[i]),4])
}

for (i in 1:length(ID_aut)){
pres_min_r_aut[i]<-min(df3[which(df3[,7]==ID_aut[i]),4])
}

for (i in 1:length(ID_win)){
pres_min_r_win[i]<-min(df3[which(df3[,7]==ID_win[i]),4])
}

boxplot(pres_min_r_aut,pres_min_aut,pres_min_p_aut,col=c(rgb(0,1,0,0.2),rgb(0,0,1,0.2),rgb(1,0,0,0.2)),main="Minimum cyclone central pressure(autum)",names=c("GUF Evaluation","GUF Historical","GUF Future"),ylab="Pressure",cex.main=0.8,cex.lab=0.6,cex.axis=0.6,ylim=c(950,1030))
dev.off()

