rm(list=ls())
library(fields)
require(graphics)
require(maps)
library(ncdf4)
library(mapdata)
library(RColorBrewer)
library("Cairo")

CairoPDF("pressure_spring.pdf", 4, 4, bg="transparent")
#x11(width=8,height=8)

df<-read.table("/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/PLOTS/Vb/Vb_1950-2005_VbH2019_ICCP.txt")
pressure_hist<-df[126:5661,4]
year<-as.numeric(format(as.Date(df[126:5661,5], format="%Y-%m-%d"),"%Y"))
month<-as.numeric(format(as.Date(df[126:5661,5], format="%Y-%m-%d"),"%m"))
Vb_ID<-df[126:5661,7]
pressure_hist_spr<-numeric();pressure_hist_sum<-numeric();pressure_hist_aut<-numeric();pressure_hist_win<-numeric();
pressure_hist_spr<-pressure_hist[which(month==3 | month==4 | month == 5)]
pressure_hist_sum<-pressure_hist[which(month==6 | month==7 | month == 8)]
pressure_hist_aut<-pressure_hist[which(month==9 | month==10 | month == 11)]
pressure_hist_win<-pressure_hist[which(month==12 | month==1 | month == 2)]

df2<-read.table("/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/PLOTS/Vb/Vb_2015-2099_VbH2019_ICCP.txt")
pressure_fut<-df2[3493:9224,4]
year<-as.numeric(format(as.Date(df2[3493:9224,5], format="%Y-%m-%d"),"%Y"))
month<-as.numeric(format(as.Date(df2[3493:9224,5], format="%Y-%m-%d"),"%m"))
Vb_ID<-df2[3493:9224,7]

pressure_fut_spr<-numeric();pressure_fut_sum<-numeric();pressure_fut_aut<-numeric();pressure_fut_win<-numeric();
pressure_fut_spr<-pressure_fut[which(month==3 | month==4 | month == 5)]
pressure_fut_sum<-pressure_fut[which(month==6 | month==7 | month == 8)]
pressure_fut_aut<-pressure_fut[which(month==9 | month==10 | month == 11)]
pressure_fut_win<-pressure_fut[which(month==12 | month==1 | month == 2)]


df3<-read.table("/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/PLOTS/Vb/Vb_1901-2010_H2019_05_CCLM+NEMO_ERA20C.txt")
pressure_rea<-df3[8534:17149,4]
year<-as.numeric(format(as.Date(df3[8019:16105,5], format="%d/%m/%Y"),"%Y"))
month<-as.numeric(format(as.Date(df3[8019:16105,5], format="%d/%m/%Y"),"%m"))
Vb_ID<-df3[8019:16105,7]

pressure_rea_spr<-numeric();pressure_rea_sum<-numeric();pressure_rea_aut<-numeric();pressure_rea_win<-numeric();
pressure_rea_spr<-pressure_rea[which(month==3 | month==4 | month == 5)]
pressure_rea_sum<-pressure_rea[which(month==6 | month==7 | month == 8)]
pressure_rea_aut<-pressure_rea[which(month==9 | month==10 | month == 11)]
pressure_rea_win<-pressure_rea[which(month==12 | month==1 | month == 2)]

#####   density plots ######
dens_GUF_sp1<-density(pressure_rea_spr,na.rm=T)
dens_GUF_sp2<-density(pressure_hist_spr,na.rm=T)
dens_GUF_sp3<-density(pressure_fut_spr,na.rm=T)

dens_GUF_sp4<-density(pressure_rea_sum,na.rm=T)
dens_GUF_sp5<-density(pressure_hist_sum,na.rm=T)
dens_GUF_sp6<-density(pressure_fut_sum,na.rm=T)


dens_GUF_sp7<-density(pressure_rea_aut,na.rm=T)
dens_GUF_sp8<-density(pressure_hist_aut,na.rm=T)
dens_GUF_sp9<-density(pressure_fut_aut,na.rm=T)


dens_GUF_sp10<-density(pressure_rea_win,na.rm=T)
dens_GUF_sp11<-density(pressure_hist_win,na.rm=T)
dens_GUF_sp12<-density(pressure_fut_win,na.rm=T)

###########################################
xlim <- c(960,1040)
ylim<-  c(0,0.08)
historical <- rgb(0,0,1,0.2)
projection <- rgb(1,0,0,0.2)
reanalysis <- rgb(0,1,0,0.2)

#######################################################
plot(dens_GUF_sp1, xlim = xlim, ylim = ylim, xlab = 'Cyclone central pressure',
     main = 'Cyclone central presure along the paths (spring)',cex.main=1.0,
     cex.lab=1.0,panel.first = grid())
#put our density plots in
polygon(dens_GUF_sp1, density = -1, col = reanalysis)
polygon(dens_GUF_sp2, density = -1, col = historical)
polygon(dens_GUF_sp3, density = -1, col = projection)
## add a legend in the corner
legend('topleft',c('reanalysis','historical','future'),
       fill = c(reanalysis,historical, projection), bty = 'n',
       border = NA)
#########################################################
dev.off()
