rm(list=ls())
library(fields)
require(graphics)
require(maps)
library(ncdf4)
library(mapdata)
library(RColorBrewer)
#library(ncdf4Utils)
#x11(width=12,height=6)
dir<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GUF/"
dir1<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/BELGRADE/hist/"
dir2<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/CNRM/hist/"
dir3<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GERICS/hist/"
dir4<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GERICS/hist2/"
dir5<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/OBS/"
######
year<-seq(1950,2099,1)
#year2<-c(1973,1976,1977,1979)
#year3<-seq(1980,2099,1)
#year<-c(year1,year2,year3)
########## GUF  #####
nc1<-nc_open(paste(dir,"tos_fldmean_1950_2099_yermean_fin.nc",sep=""))
GUF<-ncvar_get(nc1,"tos")
#########   BELGRADE ######
nc2<-nc_open(paste(dir1,"tos_merge_fld_year.nc",sep=""))
BELGRADE<-ncvar_get(nc2,"tos")
#####      CNRM   #####
nc3<-nc_open(paste(dir2,"tos_merge_fld_year.nc",sep=""))
CNRM<-ncvar_get(nc3,"tos")
CNRM1<-CNRM[1:150]
####### GERICS    #####
nc4<-nc_open(paste(dir3,"tos_merge_fld_year.nc",sep=""))
GERICST<-ncvar_get(nc4,"tos")
GERICS1<-c(NA,GERICST)
#######  GERICS2   ####
nc5<-nc_open(paste(dir4,"tos_merge_fld_year.nc",sep=""))
GERICS2T<-ncvar_get(nc5,"tos")
GERICS2<-c(NA,GERICS2T)
#######   OBS HAD SST ###
nc6<-nc_open(paste(dir5,"HadISST_sst_1950_2019_int_sst_MED_fldmn_yy.nc",sep=""))
HADSSTT<-ncvar_get(nc6,"sst")
HADSST<-c(HADSSTT,rep(NA,84))
OBS_HADSST<-HADSST + 273.15
#######   OBS OISST #####
nc7<-nc_open(paste(dir5,"OISST_sst.mnmean_model_int_MAIN_fldmn_yy.nc",sep=""))
OISSTT<-ncvar_get(nc7,"sst")
OISST<-c(rep(NA,31),OISSTT[2:39],rep(NA,81))
OBS_OISST<-OISST + 273.15
################# UNCERTAINITY #########
UN<-rbind(BELGRADE,CNRM1,GERICS1,GERICS2)
mip<-numeric();mxp<-numeric();
for (i in 1:150){
mip[i]<-min(UN[,i])
mxp[i]<-max(UN[,i])
}
####### CMIP5 ENSEMBLE ##########
dir12<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GCM/CNRM-CM5/r1i1p1/"
nc12<-nc_open(paste(dir12,"tos_merge_OMED_fin_fld_year.nc",sep=""))
CNRSST<-ncvar_get(nc12,"tos")
CNRSST1<-CNRSST[1:150]
#CNRSST_M<-c(CNRSST,rep(NA,85))
########   EC-EARTH #####
dir22<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GCM/EC-EARTH/"
nc22<-nc_open(paste(dir22,"tos_flmean_year.nc",sep=""))
ECSST<-ncvar_get(nc22,"tos")
#ECSST_M<-ECSST[1:137]
##################### MPI-ESM-LR
dir33<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GCM/MPI-ESM/final/"
nc33<-nc_open(paste(dir33,"MPI_ESM_rcp85_year_rmp_med_fld.nc",sep=""))
MPISST<-ncvar_get(nc33,"tos")
MPISST_M<-MPISST[1:150]
#############  SPATE 4D 
dir44<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/SPATE_4DAS_output/"
dir44<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/SPATE_4DAS_output/medsea_t_s/"
#nc44<-nc_open(paste(dir44,"ts_MED_1950_2005_fldmean_yearmean_ICCP.nc",sep=""))
nc44<-nc_open(paste(dir44,"fldmean_OMED11_all_ts_reanalysis1_final_yearmean.nc",sep=""))
REANALYSIS<-ncvar_get(nc44,"T_S")
REANALYSIS<-c(NA,REANALYSIS,rep(NA,94))
###################
#par(mar=c(5,4,3,3))
#################
plot(year,mip,type="n",ylim=c(288,298),ylab = 'SST(K)', xlab = 'YEAR',cex.lab=1.2,cex.axis=1.2,main="(a) Mediterranean SST")
#plot(mon,mip,type="n",ylab = 'precipitation(mm/month)', xlab = 'Month',cex.lab=1.2,cex.axis=1.2,main="Central India mean precipitation")
lines(year,mip,type="l",col="seagreen1",lwd=2)
lines(year,mxp,type="l",col="seagreen1",lwd=2)
polygon(c(year, rev(year)), c(mxp, rev(mip)),
     col = "seagreen1", border = NA)
lines(year,GUF,type="l",col="brown",lwd=3)
lines(year,OBS_HADSST[1:150],type="l",lty=3,col="black",lwd=3)
lines(year,OBS_OISST,type="l",lty=3,col="red",lwd=3)
lines(year,CNRSST1,type="l",col="lightblue1",lwd=2)
lines(year,ECSST,type="l",col="brown",lwd=3,lty=3)
lines(year,MPISST_M,type="l",col="lightblue1",lwd=2)
lines(year,REANALYSIS,type="l",col="black",lwd=2)
polygon(c(year, rev(year)), c(CNRSST1, rev(MPISST_M)),
     col = "lightblue1", border = NA)
#legend("topleft",legend=c("HadISST","OISST","GUF Evaluation","GUF Historical + Future","EC-EARTH","Med-CORDEX Ensemble","CMIP5 GCM Ensemble"),col=c("black","red","black","brown","brown","seagreen1","lightblue1"),lty=c(3,3,1,1,3,1,1,1),bty="n",cex=0.9,lwd=c(2.5,2.5,2.5,2.5,2.5,12.5,12.5),horiz=F)

legend("topleft",legend=c("HadISST","OISST","GUF Evaluation","GUF Historical + Future"),col=c("black","red","black","brown"),lty=c(3,3,1,1),bty="n",cex=0.9,lwd=c(2.5,2.5,2.5,2.5),horiz=F,y.intersp=2)

legend("top",legend=c("EC-EARTH","Med-CORDEX Ensemble","CMIP5 GCM Ensemble"),col=c("brown","seagreen1","lightblue1"),lty=c(3,1,1),bty="n",cex=0.9,lwd=c(2.5,12.5,12.5),horiz=F,y.intersp=2)

#dev.print(postscript,'SST_evo_CMIP5_mod.eps',width=12,height=6)
