rm(list=ls())
library(fields)
require(graphics)
require(maps)
library(ncdf4)
library(mapdata)
library(RColorBrewer)
#library(ncdf4Utils)
#x11(width=12,height=6)
dir<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GUF/"
dir1<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/BELGRADE/hist/"
dir2<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/CNRM/hist/"
dir3<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GERICS/hist/"
dir4<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GERICS/hist2/"
dir5<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/OBS/"
######
year<-seq(1950,2099,1)
#year2<-c(1973,1976,1977,1979)
#year3<-seq(1980,2099,1)
#year<-c(year1,year2,year3)
########## GUF  #####
nc1<-nc_open(paste(dir,"tos_fldmean_1950_2099_yermean_fin.nc",sep=""))
GUF<-ncvar_get(nc1,"tos")
GUF_P<-GUF-mean(GUF[1:55])
#########   BELGRADE ######
nc2<-nc_open(paste(dir1,"tos_merge_fld_year.nc",sep=""))
BELGRADE<-ncvar_get(nc2,"tos")
BELGRADE_P<-BELGRADE-mean(BELGRADE[1:55])
#####      CNRM   #####
nc3<-nc_open(paste(dir2,"tos_merge_fld_year.nc",sep=""))
CNRM<-ncvar_get(nc3,"tos")
CNRM1<-CNRM[1:150]
CNRM1_P<-CNRM1-mean(CNRM1[1:55])
####### GERICS    #####
nc4<-nc_open(paste(dir3,"tos_merge_fld_year.nc",sep=""))
GERICST<-ncvar_get(nc4,"tos")
GERICS1<-c(NA,GERICST)
GERICS1_P<-GERICS1-mean(GERICS1[2:55])
#######  GERICS2   ####
nc5<-nc_open(paste(dir4,"tos_merge_fld_year.nc",sep=""))
GERICS2T<-ncvar_get(nc5,"tos")
GERICS2<-c(NA,GERICS2T)
GERICS2_P<-GERICS2-mean(GERICS2[2:55])
#######   OBS HAD SST ###
################# UNCERTAINITY #########
UN<-rbind(BELGRADE_P,CNRM1_P,GERICS1_P,GERICS2_P)
mip<-numeric();mxp<-numeric();
for (i in 1:150){
mip[i]<-min(UN[,i])
mxp[i]<-max(UN[,i])
}
####### CMIP5 ENSEMBLE ##########
dir12<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GCM/CNRM-CM5/r1i1p1/"
nc12<-nc_open(paste(dir12,"tos_merge_OMED_fin_fld_year.nc",sep=""))
CNRSST<-ncvar_get(nc12,"tos")
CNRSST1<-CNRSST[1:150]
CNRSST1_P<-CNRSST1-mean(CNRSST1[1:55])
#CNRSST_M<-c(CNRSST,rep(NA,85))
########   EC-EARTH #####
dir22<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GCM/EC-EARTH/"
nc22<-nc_open(paste(dir22,"tos_flmean_year.nc",sep=""))
ECSST<-ncvar_get(nc22,"tos")
ECSST_P<-ECSST-mean(ECSST[1:55])
#ECSST_M<-ECSST[1:137]
##################### MPI-ESM-LR
dir33<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GCM/MPI-ESM/final/"
nc33<-nc_open(paste(dir33,"MPI_ESM_rcp85_year_rmp_med_fld.nc",sep=""))
MPISST<-ncvar_get(nc33,"tos")
MPISST_M<-MPISST[1:150]
MPISST_P<-MPISST_M-mean(MPISST_M[1:55])
#############
dir44<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/SPATE_4DAS_output/medsea_t_s/"
#nc44<-nc_open(paste(dir44,"ts_MED_1950_2005_fldmean_yearmean_ICCP.nc",sep=""))
nc44<-nc_open(paste(dir44,"fldmean_OMED11_all_ts_reanalysis1_final_yearmean.nc",sep=""))
REANALYSIS<-ncvar_get(nc44,"T_S")
REANALYSIS_B<-REANALYSIS -mean(REANALYSIS[1:55])
REANALYSIS_B<-c(NA,REANALYSIS_B,rep(NA,94))

############
plot(year,mip,type="n",ylim=c(-1,4),ylab = 'Sea Surface Temperature (K)', xlab = 'YEAR',cex.lab=1.2,cex.axis=1.2,main="Mediterranean SST")
#plot(mon,mip,type="n",ylab = 'precipitation(mm/month)', xlab = 'Month',cex.lab=1.2,cex.axis=1.2,main="Central India mean precipitation")
lines(year,mip,type="l",col="seagreen1",lwd=2)
lines(year,mxp,type="l",col="seagreen1",lwd=2)
polygon(c(year, rev(year)), c(mxp, rev(mip)),
     col = "seagreen1", border = NA)
#lines(year,GUF_P,type="l",col="salmon4",lwd=5)
#lines(year,OBS_HADSST,type="l",col="black",lwd=3)
#lines(year,OBS_OISST,type="l",col="red",lwd=3)
lines(year,CNRSST1_P,type="l",col="lightblue1",lwd=2)
#lines(year,ECSST_P,type="l",col="brown",lwd=5)
lines(year,MPISST_P,type="l",col="lightblue1",lwd=2)
polygon(c(year, rev(year)), c(CNRSST1_P, rev(MPISST_P)),
     col = "lightblue1", border = NA)

lines(year,ECSST_P,type="l",col="brown",lwd=3,lty=3)
lines(year,GUF_P,type="l",col="brown",lwd=3)
lines(year,REANALYSIS_B,type="l",col="black",lwd=2)
legend("topleft",legend=c("GUF","EC-EARTH","REANALYSIS","CORDEX","CMIP-5"),col=c("brown","brown","black","seagreen1","lightblue1"),lty=c(1,3,1,1,1),bty="n",cex=0.9,lwd=c(2.5,2.5,2.5,12.5,12.5),horiz=F)
#dev.print(postscript,'SST_evo_CMIP5_proj_hist_future.eps',width=12,height=6)
