rm(list=ls())
library(fields)
require(graphics)
require(maps)
library(ncdf4)
library(mapdata)
library(RColorBrewer)
#library(ncdf4Utils)
#x11(width=12,height=6)
dir<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GUF/"
dir1<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/BELGRADE/hist/"
dir2<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/CNRM/hist/"
dir3<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GERICS/hist/"
dir4<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GERICS/hist2/"
dir5<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/OBS/"
#dir6<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/SPATE_4DAS_output/"
dir6<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/SPATE_4DAS_output/medsea_t_s/"
######
########## GUF  #####
nc1<-nc_open(paste(dir,"tos_fldmean_1951_2005_fin_anu.nc",sep=""))
GUF<-ncvar_get(nc1,"tos")
nc11<-nc_open(paste(dir,"tos_fldmean_2045_2099_fin_anu.nc",sep=""))
GUF_P<-ncvar_get(nc11,"tos")
#########   BELGRADE ######
nc2<-nc_open(paste(dir1,"tos_merge_fld_51_05_anu.nc",sep=""))
BELGRADE<-ncvar_get(nc2,"tos")
nc22<-nc_open(paste(dir1,"tos_merge_fld_45_99_anu.nc",sep=""))
BELGRADE_P<-ncvar_get(nc22,"tos")
#####      CNRM   #####
nc3<-nc_open(paste(dir2,"tos_merge_fld_51_05_anu.nc",sep=""))
CNRM<-ncvar_get(nc3,"tos")
nc33<-nc_open(paste(dir2,"tos_merge_fld_45_99_anu.nc",sep=""))
CNRM_P<-ncvar_get(nc33,"tos")
####### GERICS    #####
nc4<-nc_open(paste(dir3,"tos_merge_fld_51_05_anu.nc",sep=""))
GERICST<-ncvar_get(nc4,"tos")
nc44<-nc_open(paste(dir3,"tos_merge_fld_45_99_anu.nc",sep=""))
GERICST_P<-ncvar_get(nc44,"tos")
#GERICS1<-c(NA,GERICST)
#######  GERICS2   ####
nc5<-nc_open(paste(dir4,"tos_merge_fld_51_05_anu.nc",sep=""))
GERICS2T<-ncvar_get(nc5,"tos")
nc55<-nc_open(paste(dir4,"tos_merge_fld_45_99_anu.nc",sep=""))
GERICS2T_P<-ncvar_get(nc55,"tos")

#GERICS2<-c(NA,GERICS2T)
#######   OBS HAD SST ###
nc6<-nc_open(paste(dir5,"HadISST_sst_1950_2019_int_sst_MED_fldmn_anu.nc",sep=""))
HADSSTT<-ncvar_get(nc6,"sst")
#HADSST<-c(HADSSTT,rep(NA,71))
OBS_HADSST<-HADSSTT + 273.15
#######   OBS OISST #####

#nc7<-nc_open(paste(dir6,"ts_MED_1950_2005_fldmean_ICCP_ymon.nc",sep=""))
nc7<-nc_open(paste(dir6,"fldmean_OMED11_all_ts_reanalysis1_final_ymon.nc",sep=""))
REANALYSIS_SST<-ncvar_get(nc7,"T_S")


#nc7<-nc_open(paste(dir5,"OISST_sst.mnmean_model_int_MAIN_fldmn_yy.nc",sep=""))
#OISSTT<-ncvar_get(nc7,"sst")
#OISST<-c(rep(NA,31),OISSTT[2:39],rep(NA,68))
#OBS_OISST<-OISST + 273.15
################# UNCERTAINITY #########
UN<-rbind(BELGRADE,CNRM,GERICST,GERICS2T)
mip<-numeric();mxp<-numeric();
for (i in 1:12){
mip[i]<-min(UN[,i])
mxp[i]<-max(UN[,i])
}

UN_P<-rbind(BELGRADE_P,CNRM_P,GERICST_P,GERICS2T_P)
mipp<-numeric();mxpp<-numeric();
for (i in 1:12){
mipp[i]<-min(UN_P[,i])
mxpp[i]<-max(UN_P[,i])
}

mon<-seq(1,12,1)
plot(mon,BELGRADE,type="n",ylim=c(285,300),ylab = 'SST(K)', xlab = 'Month',cex.lab=1.2,cex.axis=1.2,main="(c) Mediterranean SST",col="blue",lwd=3)
#plot(mon,mip,type="n",ylab = 'precipitation(mm/month)', xlab = 'Month',cex.lab=1.2,cex.axis=1.2,main="Central India mean precipitation")
lines(mon,mip,type="l",col="lightblue1",lwd=2)
lines(mon,mxp,type="l",col="lightblue1",lwd=2)

polygon(c(mon, rev(mon)), c(mxp, rev(mip)),
     col = "lightblue1", border = NA)

###################
lines(mon,mipp,type="l",col="darksalmon",lwd=2)
lines(mon,mxpp,type="l",col="darksalmon",lwd=2)

polygon(c(mon, rev(mon)), c(mxpp, rev(mipp)),
     col = "darksalmon", border = NA)

#lines(mon,GERICS2T,type="l",col="seagreen1",lwd=4)
#polygon(c(year, rev(year)), c(mxp, rev(mip)),
#     col = "seagreen1", border = NA)
lines(mon,GUF,type="l",col="salmon4",lwd=3)
lines(mon,GUF_P,type="l",lty=2,col="salmon4",lwd=3)
lines(mon,OBS_HADSST,type="l",lty=2,col="black",lwd=3)
lines(mon,REANALYSIS_SST,type="l",col="black",lwd=3)
#legend("topleft",legend=c("BELGRADE","CNRM","GERICS1","GERICS2","GUF","HadSST"),col=c("blue","cadetblue","aquamarine","seagreen1","salmon4","black"),lty=c(1,1,1,1,1,1),bty="n",cex=1.0,lwd=c(2.5,2.5,2.5,2.5,2.5,2.5))
legend("topleft",legend=c("HadISST","GUF Evaluation","GUF Historical","GUF Future","Med-CORDEX Ensemble (historical)","Med-CORDEX Ensemble (future)"),col=c("black","black","salmon4","salmon4","lightblue1","darksalmon"),lty=c(3,1,1,3,1,1),bty="n",cex=1.25,lwd=c(2.5,2.5,2.5,2.5,12.5,12.5))
#dev.print(postscript,'anu_SST_hist.eps', width=12,height=6)
