rm(list=ls())
library(fields)
require(graphics)
require(maps)
library(ncdf4)
library(mapdata)
library(RColorBrewer)
library(abind)
#library(ncdf4Utils)
#x11(width=6,height=6)
x11(width=12,height=6)
par(mfrow=c(1,2),mar=c(4,3,4,4))
par(oma=c(3,3,1,1))
############
dir<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GUF/"
dir1<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/BELGRADE/hist/"
dir2<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/CNRM/hist/"
dir3<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GERICS/hist/"
dir4<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GERICS/hist2/"
dir5<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/OBS/"
######
year1<-seq(1950,1971,1)
year2<-c(1973,1976,1977,1979)
year3<-seq(1980,2090,1)
year<-c(year1,year2,year3)
########## GUF  #####
nc1<-nc_open(paste(dir,"tos_merge_ymean1.nc",sep=""))
GUF<-ncvar_get(nc1,"tos")
lon<-ncvar_get(nc1,"lon")
lat<-ncvar_get(nc1,"lat")
########################
GUF_sp1<-apply(GUF[,,1:55],c(1,2),mean)
GUF_sp2<-apply(GUF[,,95:150],c(1,2),mean)
#########   BELGRADE ######
nc2<-nc_open(paste(dir1,"tos_merge_ymean.nc",sep=""))
BELGRADE<-ncvar_get(nc2,"tos")
BELGRADE_sp1<-apply(BELGRADE[,,1:55],c(1,2),mean)
BELGRADE_sp2<-apply(BELGRADE[,,95:150],c(1,2),mean)
#####      CNRM   #####
nc3<-nc_open(paste(dir2,"tos_merge_ymean.nc",sep=""))
CNRM<-ncvar_get(nc3,"tos")
CNRM_sp1<-apply(CNRM[,,1:55],c(1,2),mean)
CNRM_sp2<-apply(CNRM[,,95:150],c(1,2),mean)
####### GERICS    #####
nc4<-nc_open(paste(dir3,"tos_merge_ymean.nc",sep=""))
GERICST<-ncvar_get(nc4,"tos")
GERICST_sp1<-apply(GERICST[,,1:55],c(1,2),mean)
GERICST_sp2<-apply(GERICST[,,95:149],c(1,2),mean)
#GERICS1<-c(NA,GERICST)
#######  GERICS2   ####
nc5<-nc_open(paste(dir4,"tos_merge_ymean.nc",sep=""))
GERICS2T<-ncvar_get(nc5,"tos")
GERICS2T_sp1<-apply(GERICS2T[,,1:55],c(1,2),mean)
GERICS2T_sp2<-apply(GERICS2T[,,95:149],c(1,2),mean)
#GERICS2<-c(NA,GERICS2T)
#######   ENSEMBLE   #########
ENS1<-abind(BELGRADE_sp1,CNRM_sp1,GERICST_sp1,GERICS2T_sp1,along=3)
ENS_sp1<-apply(ENS1,c(1,2),mean)
ENS2<-abind(BELGRADE_sp2,CNRM_sp2,GERICST_sp2,GERICS2T_sp2,along=3)
ENS_sp2<-apply(ENS2,c(1,2),mean)
#######   OBS HAD SST ###
#nc6<-nc_open(paste(dir5,"HadISST_sst_1950_2019_model_int_MAIN.nc",sep=""))
#HADSSTT<-ncvar_get(nc6,"sst")
#HADSSTT_sp<-apply(HADSSTT,c(1,2),mean)
#HADSST<-c(HADSSTT,rep(NA,71))
#OBS_HADSST<-HADSSTT_sp + 273.15
#######   OBS OISST #####
nc7<-nc_open(paste(dir5,"OISST_sst.mnmean_model_int_MAIN.nc",sep=""))
OISSTT<-ncvar_get(nc7,"sst")
#OISST<-c(rep(NA,31),OISSTT[2:39],rep(NA,68))
#OBS_OISST<-OISST + 273.15
################# UNCERTAINITY #########
#colfunc<-colorRampPalette(c("red","white","royalblue"))
colfunc<-colorRampPalette(c("red","orange","yellow","green","blue"))
se<-seq(1,3.5,2.5/20)
##############
par(mar=c(5,4,5,4))
image(lon,lat,(GUF_sp2-GUF_sp1),xlab=~degree~E,ylab=~degree~N,main='(a) GUF Future - Historical',col=rev(colfunc(20)),breaks=se,cex.main=1.4,cex.axis=2,cex.lab=1.4,legend.args=list(text='', side=4, font=2, line=2.5, cex=1))
box(which = "plot", lty = "solid",lwd=1.4)
world.add<-map("world", xlim=range(lon), ylim=range(lat),plot=T ,add=TRUE,lwd=2)
#map("world2",col="black",lwd=2,interior=T,add=T)
#############    ENSEMBLE    ########
par(mar=c(5,4,5,4))
image.plot(lon,lat,(ENS_sp2-ENS_sp1),xlab=~degree~E,ylab=~degree~N,main=' (b) Med-CORDEX Ens. (Future - Historical)',col=rev(colfunc(20)),breaks=se,cex.main=1.4,cex.axis=2,cex.lab=1.4,legend.args=list(text='', side=4, font=2, line=2.5, cex=1))
box(which = "plot", lty = "solid",lwd=1.4)
world.add<-map("world", xlim=range(lon), ylim=range(lat),plot=T ,add=TRUE,lwd=2)
################
#par(mar=c(5,4,5,4))
#image.plot(lon,lat,OBS_HADSST,xlab=~degree~E,ylab=~degree~N,main='OBSERVATION',col=rev(colfunc(20)),breaks=se,cex.main=1.4,cex.axis=2,cex.lab=1.4,legend.args=list(text='', side=4, font=2, line=2.5, cex=1))
#box(which = "plot", lty = "solid",lwd=1.4)
#world.add<-map("world", xlim=range(lon), ylim=range(lat),plot=T ,add=TRUE,lwd=2)
#map("world2",col="black",lwd=2,interior=T,add=T)
##############

dev.print(postscript,'SST_proj_spat_year.eps',width=12,height=6)
