rm(list=ls())
library(fields)
require(graphics)
require(maps)
library(ncdf4)
library(mapdata)
library(RColorBrewer)
library(abind)
library("Cairo")
#library(ncdf4Utils)
#x11(width=6,height=6)
CairoPDF("cairoplot.pdf", 12, 12, bg="transparent")
#x11(width=12,height=12)
par(mfrow=c(3,2),mar=c(4,3,4,4))
par(oma=c(3,3,1,1))
############
dir<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GUF/"
dir1<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/BELGRADE/hist/"
dir2<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/CNRM/hist/"
dir3<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GERICS/hist/"
dir4<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/GERICS/hist2/"
dir5<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/OBS/"
dir6<-"/gpfs/ahrenshsmfs02/share/temp/IPCC_PAPER/MedCORDEX/SPATE_4DAS_output/medsea_t_s/"
######
year1<-seq(1950,1971,1)
year2<-c(1973,1976,1977,1979)
year3<-seq(1980,2090,1)
year<-c(year1,year2,year3)
########## GUF  #####

breaks<-20
##################
nc1<-nc_open(paste(dir,"tos_OMED-11i_EC-EARTH_historical_r12i1p1_CLMcom-GUF-CCLM5-0-9-NEMOMED12-3-6_v1_mon_195001-209912.nc",sep=""))
GUF<-ncvar_get(nc1,"tos")
lon<-ncvar_get(nc1,"lon")
lat<-ncvar_get(nc1,"lat")
########################
GUF_sp1<-as.vector(GUF[,,13:660])
GUF_sp2<-as.vector(GUF[,,1152:1800])

GUF_sp1[which(GUF_sp1<280)]<-NA
GUF_sp2[which(GUF_sp2<280)]<-NA

dens_GUF_sp1<-density(GUF_sp1,na.rm=T)
dens_GUF_sp2<-density(GUF_sp2,na.rm=T)

##########          REANALYSIS     #####
nc7<-nc_open(paste(dir6,"OMED11_all_ts_reanalysis1_final.nc",sep=""))
GUF_re<-as.vector(ncvar_get(nc7,"T_S"))
GUF_re[which(GUF_re<280)]<-NA

dens_GUF_re<-density(GUF_re,na.rm=T)
#pr_GUF_sp1<-hist(GUF_sp1,breaks=breaks,plot=F)$density
#mid_GUF_sp1<-hist(GUF_sp1,breaks=breaks,plot=F)$mids

#pr_GUF_sp2<-hist(GUF_sp2,breaks=breaks,plot=F)$density
#mid_GUF_sp2<-hist(GUF_sp2,breaks=breaks,plot=F)$mids

#########   BELGRADE ######
nc2<-nc_open(paste(dir1,"tos_merge.nc",sep=""))
BELGRADE<-ncvar_get(nc2,"tos")
BELGRADE_sp1<-as.vector(BELGRADE[,,13:660])
BELGRADE_sp2<-as.vector(BELGRADE[,,1152:1800])

BELGRADE_sp1[which(BELGRADE_sp1<280)]<-NA
BELGRADE_sp2[which(BELGRADE_sp2<280)]<-NA

dens_BELGRADE_sp1<-density(BELGRADE_sp1,na.rm=T)
dens_BELGRADE_sp2<-density(BELGRADE_sp2,na.rm=T)

#pr_BELGRADE_sp1<-hist(BELGRADE_sp1,breaks=breaks,plot=F)$density
#mid_BELGRADE_sp1<-hist(BELGRADE_sp1,breaks=breaks,plot=F)$mids

#pr_BELGRADE_sp2<-hist(BELGRADE_sp2,breaks=breaks,plot=F)$density
#mid_BELGRADE_sp2<-hist(BELGRADE_sp2,breaks=breaks,ptos_OMED-11i_EC-EARTH_historical_r12i1p1_CLMcom-GUF-CCLM5-0-9-NEMOMED12-3-6_v1_mon_195tos_OMED-11i_EC-EARTH_historical_r12i1p1_CLMcom-GUF-CCLM5-0-9-NEMOMED12-3-6_v1_mon_195001-209912.ncc
#####      CNRM   #####
nc3<-nc_open(paste(dir2,"tos_merge.nc",sep=""))
CNRM<-ncvar_get(nc3,"tos")
CNRM_sp1<-as.vector(CNRM[,,13:660])
CNRM_sp2<-as.vector(CNRM[,,1152:1800])
CNRM_sp1[which(CNRM_sp1<280)]<-NA
CNRM_sp2[which(CNRM_sp2<280)]<-NA
####### GERICS    #####
dens_CNRM_sp1<-density(CNRM_sp1,na.rm=T)
dens_CNRM_sp2<-density(CNRM_sp2,na.rm=T)
######################
#pr_CNRM_sp1<-hist(CNRM_sp1,breaks=breaks,plot=F)$density
#mid_CNRM_sp1<-hist(CNRM_sp1,breaks=breaks,plot=F)$mids

#pr_CNRM_sp2<-hist(CNRM_sp2,breaks=breaks,plot=F)$density
#mid_CNRM_sp2<-hist(CNRM_sp2,breaks=breaks,plot=F)$mids


########################
nc4<-nc_open(paste(dir3,"tos_merge.nc",sep=""))
GERICST<-ncvar_get(nc4,"tos")
GERICST_sp1<-as.vector(GERICST[,,1:660])
GERICST_sp2<-as.vector(GERICST[,,1152:1788])
GERICST_sp1[which(GERICST_sp1<280)]<-NA
GERICST_sp2[which(GERICST_sp2<280)]<-NA

dens_GERICST_sp1<-density(GERICST_sp1,na.rm=T)
dens_GERICST_sp2<-density(GERICST_sp2,na.rm=T)

#pr_GERICST_sp1<-hist(GERICST_sp1,breaks=breaks,plot=F)$density
#mid_GERICST_sp1<-hist(GERICST_sp1,breaks=breaks,plot=F)$mids

#pr_GERICST_sp2<-hist(GERICST_sp2,breaks=breaks,plot=F)$density
#mid_GERICST_sp2<-hist(GERICST_sp2,breaks=breaks,plot=F)$mids


#GERICS1<-c(NA,GERICST)
#######  GERICS2   ####
nc5<-nc_open(paste(dir4,"tos_merge.nc",sep=""))
GERICS2T<-ncvar_get(nc5,"tos")
GERICS2T_sp1<-as.vector(GERICS2T[,,1:780])
GERICS2T_sp2<-as.vector(GERICS2T[,,1152:1788])
GERICS2T_sp1[which(GERICS2T_sp1<280)]<-NA
GERICS2T_sp2[which(GERICS2T_sp2<280)]<-NA
#####################
dens_GERICS2T_sp1<-density(GERICS2T_sp1,na.rm=T)
dens_GERICS2T_sp2<-density(GERICS2T_sp2,na.rm=T)
#################
xlim <- c(280,310)
ylim<-  c(0,0.12)
#ylim <- range(0,densCuke$y, densCarrot$y)
################
##pr_GERICS2T_sp1<-hist(GERICS2T_sp1,breaks=breaks,plot=F)$density
#mid_GERICS2T_sp1<-hist(GERICS2T_sp1,breaks=breaks,plot=F)$mids
#
#pr_GERICS2T_sp2<-hist(GERICS2T_sp2,breaks=breaks,plot=F)$density
#mid_GERICS2T_sp2<-hist(GERICS2T_sp2,breaks=breaks,plot=F)$mids

####################
#GERICS2<-c(NA,GERICS2T)
#######   ENSEMBLE   #########
#ENS1<-abind(BELGRADE_sp1,CNRM_sp1,GERICST_sp1,GERICS2T_sp1,along=3)
#ENS_sp1<-apply(ENS1,c(1,2),mean)
#ENS2<-abind(BELGRADE_sp2,CNRM_sp2,GERICST_sp2,GERICS2T_sp2,along=3)
#ENS_sp2<-apply(ENS2,c(1,2),mean)
#######   OBS HAD SST ###
nc6<-nc_open(paste(dir5,"HadISST_sst_1950_2019_int_sst_MED.nc",sep=""))
HADSSTT<-ncvar_get(nc6,"sst")
HADSSTT_sp<-as.vector(HADSSTT) +273.15
HADSSTT_sp[which(HADSSTT_sp<280)]<-NA
dens_HADSST_sp<-density(HADSSTT_sp,na.rm=T)
#pr_HADSSTT_sp<-hist(HADSSTT_sp,breaks=breaks,plot=F)$density
#mid_HADSSTT_sp<-hist(HADSSTT_sp,breaks=breaks,plot=F)$mids

#HADSST<-c(HADSSTT,rep(NA,71))
#OBS_HADSST<-HADSSTT_sp + 273.15
#######   OBS OISST #####
#nc7<-nc_open(paste(dir5,"OISST_sst.mnmean_model_int_MAIN.nc",sep=""))
#OISSTT<-ncvar_get(nc7,"sst")
#OISST<-c(rep(NA,31),OISSTT[2:39],rep(NA,68))
#OBS_OISST<-OISST + 273.15
################# UNCERTAINITY #########
#colfunc<-colorRampPalette(c("red","white","royalblue"))
colfunc<-colorRampPalette(c("red","orange","yellow","white"))
se<-seq(0,2.5,2.5/20)
#############
historical <- rgb(0,0,1,0.2)
projection <- rgb(1,0,0,0.2)
reanalysis <- rgb(0,1,0,0.2)
observed   <- rgb(1,0,0,0.9)
##############

#sst<-seq("HADSSTT_sp","GUF_sp1","GUF_sp2","BELGRADE_sp1","BELGRADE_sp2","GERICST_sp1","GERICST_sp2","GERICS2T_sp1","GERICS2T_sp2")
#for (i in 1:length(hist)){

######  OBSERVATION #######
plot(dens_HADSST_sp, xlim = xlim, ylim = ylim, xlab = 'Lengths',lwd=2.5,
     main= 'OBSERVATION + GUF',
     panel.first = grid())
#put our density plots in
#polygon(dens_HADSST_sp, density = -1, col = observed)
polygon(dens_GUF_sp1,density = -1, col = historical)
polygon(dens_GUF_re,density=-1,col=reanalysis)
legend('topleft',c('HadISST','GUF Historical',"GUF Evaluation"),
       fill = c("black",historical,reanalysis), bty = 'n',
       border = NA)

##########################
plot(dens_GUF_sp1, xlim = xlim, ylim = ylim, xlab = 'Lengths',
     main = 'GUF', 
     panel.first = grid())
#put our density plots in
polygon(dens_GUF_sp1, density = -1, col = historical)
polygon(dens_GUF_sp2, density = -1, col = projection)
## add a legend in the corner
legend('topleft',c('historical','projection'),
       fill = c(historical, projection), bty = 'n',
       border = NA)
############################
plot(dens_BELGRADE_sp1, xlim = xlim, ylim = ylim, xlab = 'Lengths',
     main = 'BELGRADE',
     panel.first = grid())
#put our density plots in
polygon(dens_BELGRADE_sp1, density = -1, col = historical)
polygon(dens_BELGRADE_sp2, density = -1, col = projection)
## add a legend in the corner
legend('topleft',c('historical','projection'),
       fill = c(historical, projection), bty = 'n',
       border = NA)
##########################
plot(dens_GERICST_sp1, xlim = xlim, ylim = ylim, xlab = 'Lengths',
     main = 'GERICS-1',
     panel.first = grid())
#put our density plots in
polygon(dens_GERICST_sp1, density = -1, col = historical)
polygon(dens_GERICST_sp2, density = -1, col = projection)
## add a legend in the corner
legend('topleft',c('historical','projection'),
       fill = c(historical, projection), bty = 'n',
       border = NA)
###############
plot(dens_GERICS2T_sp1, xlim = xlim, ylim = ylim, xlab = 'Lengths',
     main = 'GERICS-2',
     panel.first = grid())
#put our density plots in
polygon(dens_GERICS2T_sp1, density = -1, col = historical)
polygon(dens_GERICS2T_sp2, density = -1, col = projection)
## add a legend in the corner
legend('topleft',c('historical','projection'),
       fill = c(historical, projection), bty = 'n',
       border = NA)
#################
plot(dens_CNRM_sp1, xlim = xlim, ylim = ylim, xlab = 'Lengths',
     main = 'CNRM',
     panel.first = grid())
#put our density plots in
polygon(dens_CNRM_sp1, density = -1, col = historical)
polygon(dens_CNRM_sp2, density = -1, col = projection)
## add a legend in the corner
legend('topleft',c('historical','projection'),
       fill = c(historical, projection), bty = 'n',
       border = NA)
################
#par(mar=c(5,4,5,4))
#hist(HADSSTT_sp,col="red",breaks=seq(280,320,1),prob=T,main="Observation")
#hist(GUF_sp1,col="seagreen1",breaks=seq(280,320,1),prob=T,main="GUF",border=F)
#hist(GUF_sp2,col="lightblue1",breaks=seq(280,320,1),prob=T,main="GUF",add=T,border=F)
#hist(BELGRADE_sp1,col="seagreen1",breaks=seq(280,320,1),prob=T,main="BELGRADE",border=F)
#hist(BELGRADE_sp2,col="lightblue1",breaks=seq(280,320,1),prob=T,main="BELGRADE",add=T,border=F)
#hist(GERICST_sp1,col="seagreen1",breaks=seq(280,320,1),prob=T,main="GERICS1",border=F)
#hist(GERICST_sp2,col="lightblue1",breaks=seq(280,320,1),prob=T,main="GERICS1",add=T,border=F)
#hist(GERICS2T_sp1,col="seagreen1",breaks=seq(280,320,1),prob=T,main="GERICS2",border=F)
#hist(GERICS2T_sp2,col=scales::alpha('lightblue1',.5),breaks=seq(280,320,1),prob=T,main="GERICS2",add=T,border=F)
#map("world2",col="black",lwd=2,interior=T,add=T)
#############    ENSEMBLE    ########

#dev.print(postscript,'SST_hist_spatM.eps',width=12,height=12,device=CairoPNG)
dev.off()
#ggsave("SST_hist_spatM.png", device = CairoPNG)
